function onclick_show_history_window()
	
	print( "onclick_show_history_window" )
	--
	dkcalframework.editControl.editNeedShowing = true
	
	
	if login.IsLogin() then
	
		local oRichEditCal = document.getElementById( "RichEditCal" )
		
		print( oRichEditCal )
		local data = xdata:new();
		data.SetStr( "unionid", oRichEditCal.name );
		
		framework.window.showModelessDialog2( 'dkcalconfig:\\frame.xml|HistoryWindow', data );

	else 
		
		sysmenubase.ProcessMenuCmd( 127 )
	
	end
	
	
	dkcalframework.editControl.editNeedShowing = false
	
end



function onload_loading_history()

	print( "onload_loading_history" )
    document.parentWindow.CenterWindow()
    document.parentWindow.documentComplete = 'dkcalconfig:\history_func.lua|documentComplete_loading_history'
	
end


function documentComplete_loading_history()

	print( "documentComplete_loading_history" )
	
	
	local oReferrdata = document.referrerData
	if oReferrdata ~= nil then
		strUniqueId = oReferrdata.GetStr( "unionid" )
	end
	
	print( strUniqueId )
	
	
	if login.IsVipUser() then
		syncui.HistorySyncUIByUniqueID( 1, strUniqueId, false, false, document.parentWindow, "dkcalconfig:\history_func.lua|navigate_history_page" )
	else
		local data = xdata:new()
		document.parentWindow.navigate( 'dkcalconfig:\\frame.xml|HistoryNeedUpgrade', data )
	end
	
end

function button_click_needupgracevip()

	window.close()
	dkcalframework.editControl.CloseEditForce()
	loginmenu.ProcessMenuCmd( 505 )
	
end

function onload_history()

	print( "onload_history" )
	
	local oReferrdata = document.referrerData
	local oSelectItem = nil
	if oReferrdata ~= nil then
	
		print( "has refrererData" )
		oUserHistory = oReferrdata.GetArray( "user_history" )
		
		local oHistoryList = document.getElementById( "historyList" )
		local oItemData = xmlparse.GetRawDataFromFile( "dkcalconfig:\\frame.xml|HistoryListPageItem" )
		
		 
		if oUserHistory ~= nil then
		
			local oUserHistoryCount = oUserHistory.GetCount()
			for i=0, oUserHistoryCount-1 do
				
				local oUserHistoryData = oUserHistory.GetData( i )
				
				local oItemObj = makedata.CreatexElementFromxxData2( oItemData )
				
				local oListItemText = shell.getFrameElementById( oItemObj, "listItemText" )
				local oListItemTime = shell.getFrameElementById( oItemObj, "listItemTime" )
				local oListPageBkgnd = shell.getFrameElementById( oItemObj, "listItemId" )
				
				local oHistoryListPageBkgnd = shell.getFrameElementById( oItemObj, "HistoryListPageItem" )
				oHistoryListPageBkgnd.name = "item_name_" .. i
				
				
				oMarkdown = markdown:new()
				oMarkdown.MarkdownParse( oUserHistoryData.GetStr( "content" ) )
		
				oListItemText.text = oMarkdown.mkText
				if string.len(oMarkdown.mkTextColor) > 0 then
					oListItemText.textColor2 = makedata.BSTRCOLORREF3(oMarkdown.mkTextColor)
				end
		
				oListItemTime.text = oUserHistoryData.GetStr( "time" )
				oListPageBkgnd.text = oUserHistoryData.GetStr( "uid" )

				oHistoryList.AppendChild(oItemObj)
			end
			
		end
		
	end
	
	

	document.parentWindow.documentComplete = "dkcalconfig:\history_func.lua|documentComplete_history"
end


function documentComplete_history()

	print( "documentComplete_history" )

	local oHistoryList = document.getElementById( "historyList" )
	oHistoryList.focus()
		
end

function navigate_history_page()

	print( "navigate_history_page" )
	
	local oReferrdata = document.referrerData
	if oReferrdata ~= nil then
		strUniqueId = oReferrdata.GetStr( "unionid" )
	end
	local oUserHistory = syncui.GetUserHistory( strUniqueId )
	
	
	local data = xdata:new()
	data.SetArray( 'user_history', oUserHistory )
	data.SetStr( "unionid", strUniqueId )
	
	if oUserHistory.GetCount() == 0 then
		document.parentWindow.navigate( 'dkcalconfig:\\frame.xml|HistoryEmpty', data )
	else
		document.parentWindow.navigate( 'dkcalconfig:\\frame.xml|HistoryListPage', data )
	end
	
end

function onclick_history_list_item()
	
	print( "onclick_history_list_item" )
	
	local oListItemText = shell.getFrameElementById( this, "HistoryListPageItem" )
	set_select_list_item( oListItemText.name )	

	local oHistoryList = document.getElementById( "historyList" )
	oHistoryList.focus()
	
end

function onclick_del_history()

	local oRetData = framework.window.showModelessDialog3( 'dkcalconfig:\\frame.xml|HistoryDelQuery', xdata:new() )
	if oRetData ~= nil then
		local nRet = oRetData.GetInt('delhistory')
		if nRet == 1 then
			print( 'del' )
			local oReferrdata = document.referrerData
			if oReferrdata ~= nil then
				strUniqueId = oReferrdata.GetStr( "unionid" )
				
				local oDelBtn = document.getElementById( "delBtn" )
				oDelBtn.disabled = true
				oDelBtn.Invalidate()
				local oDelGif = document.getElementById( "delGif" )
				oDelGif.style.display = ''
				window.layoutItemParent( oDelBtn )
				
				syncui.DeleteHistory( strUniqueId, document.parentWindow, "dkcalconfig:\history_func.lua|navigate_del_history_complete" );
			end
		end
	end
end

function navigate_del_history_complete()

	print( 'navigate_del_history_complete' )
	
	local oDelBtn = document.getElementById( "delBtn" )
	oDelBtn.disabled = false
	oDelBtn.Invalidate()
	local oDelGif = document.getElementById( "delGif" )
	oDelGif.style.display = 'none'
	window.layoutItemParent( oDelBtn )
	
	local nErrorId = syncui.GetErrorId()
	print( nErrorId )
	if nErrorId == 0 then
		document.parentWindow.navigate( 'dkcalconfig:\\frame.xml|HistoryEmpty', xdata:new() )
	end
	
end

function button_click_delhistory()

	local oData = xdata:new()
	oData.SetInt('delhistory', 1) 
	document.closeData = oData
	
	window.close()
	
end

function set_select_list_item( mSelectItemName )

	print( oOldSelectNameId )

	-- 
	local oSelectListItemArray = document.getElementsByName( mSelectItemName )
	if oSelectListItemArray ~= nil and oSelectListItemArray.GetCount() == 0 then
		return
	end
	local oItemObject = oSelectListItemArray.GetObjectByIndex( 0 )
	
	
	-- 
	local oOldItemObject = nil
	if oOldSelectNameId ~= nil then
		local oOldSelectListItemArray = document.getElementsByName( oOldSelectNameId )
		if oOldSelectListItemArray.GetCount() > 0 then
			oOldItemObject = oOldSelectListItemArray.GetObjectByIndex( 0 )
		end
	end
	
	
	
	local oHistoryContentListText = document.getElementById( "historyContentText" )
	local oHistoryContentListId = document.getElementById( "historyContentId" )
	
	
	local oListItemText = shell.getFrameElementById( oItemObject, "listItemText" )
	local oListItemId = shell.getFrameElementById( oItemObject, "listItemId" )
	
	
	oHistoryContentListText.text = oListItemText.text
	oHistoryContentListId.name = oListItemId.text
	
	print(oHistoryContentListId.name)
	
	if oOldItemObject ~= nil then
		oOldItemObject.background = nil
	end
	
	
	local oBkgndSelect = brush:new()
	oBkgndSelect.clrbeginA = 0x00C4EAFF
	oItemObject.background = oBkgndSelect
	
		
	oOldSelectNameId = oItemObject.name
	
	local oRevertBtn = document.getElementById( "revertBtn" )
	oRevertBtn.disabled = false
	oRevertBtn.Invalidate()
	
	
end

function onclick_revert_history()

	local oHistoryContentListId = document.getElementById( "historyContentId" )
	local oHistoryContentListText = document.getElementById( "historyContentText" )
	
	print( oHistoryContentListId.name )

	window.close()
	
	
	dkcalframework.editControl.editContextText = oHistoryContentListText.text
	dkcalframework.editControl.CloseEditForce()
	
	-- syncui.RevertHistory( oHistoryContentListId.name, oHistoryContentListText.text )

end