function onload_loading_history_search()
	
	print( "onload_loading_history" )
    
	
	local oReferrdata = document.referrerData
	
	local sSearchKey = ""
	if oReferrdata ~= nil then
		sSearchKey = oReferrdata.GetStr( "searchkey" )
	end
		
		
	document.parentWindow.CenterWindow()
	
	local oEditKeyWork = document.getElementById( "search_keyword" )
	oEditKeyWork.focus()
	
	
	if string.len(sSearchKey) > 0 then
		document.getElementById( "search_keyword" ).text = sSearchKey
		oEditKeyWork.SetSel( 0, -1 )
		click_search()
	end
	
end


function click_search()

	local oEditKeyWork = document.getElementById( "search_keyword" )
	local oSearchText = oEditKeyWork.text
	print( oSearchText )
	local sRet = historysearch.Search( oSearchText )
	
	local nResultCount = sRet.GetCount()
	print( nResultCount )
	
	local oItemData = xmlparse.GetRawDataFromFile( "dkcalconfig:\\frame.xml|HistorySearchResultItem" )
	local oSearchContainer = document.getElementById( "search_container" )
	local oEmptyImage = document.getElementById( "empty_image" )
	
	
	oSearchContainer.RemoveAll()
	
	
	for i=0,nResultCount-1,1 do 
		
		local oItemObj = makedata.CreatexElementFromxxData2( oItemData )
		
		local oSearchId = document.getElementById2( oItemObj, "search_id" )
		local oSearchTitle = document.getElementById2( oItemObj, "search_title" )
		local oSearchContent = document.getElementById2( oItemObj, "search_content" )
		
		
		local oItemData = sRet.GetData(i)
		
		oSearchId.text = oItemData.GetStr( "itemid" )
		oSearchTitle.text = oItemData.GetStr( "title" )
		
		oMarkdown = markdown:new()
		oMarkdown.MarkdownParse( oItemData.GetStr( "content" ) )

		oSearchContent.text = oMarkdown.mkText
		if string.len(oMarkdown.mkTextColor) > 0 then
			oSearchContent.textColor2 = makedata.BSTRCOLORREF3(oMarkdown.mkTextColor)
		end
						
		oSearchContainer.AppendChild(oItemObj)
		
	end
	
	
	local sTimeText = framework.currentSystemTime
	local sResultText = ""
	
	local oSearchResultText = document.getElementById( "search_result_text" )
	if ( nResultCount > 0 ) then
		
		oEmptyImage.style.display = 'none'
		oSearchContainer.style.display = 'inline'
		
		oSearchContainer.focus()
	
		local sTmpText = language.GetStringById( 'IDS_DESKTOPCAL_SEARCH_RESULT_NUMBER' );
		sResultText = string.format( sTmpText, nResultCount )
		
	else
		
		oEmptyImage.style.display = 'inline'
		oSearchContainer.style.display = 'none'
		
		sResultText = language.GetStringById( 'IDS_DESKTOPCAL_SEARCH_RESULT_NULL' );
	
	end
	
	
	window.layoutItemParent( oSearchContainer )
	
	
	oSearchResultText.text = string.format( "%s  %s", sResultText, sTimeText )
	window.layoutItemParent( oSearchResultText )
	
end

function dbclick_searchitem()

	local oSearchId = document.getElementById2( this, "search_id" )
	historysearch.GotoSpecifiedDate( oSearchId.text )
	window.close()
	
end


function onmouseover_searchitem()

	this.style.cssText = "borderColor:0xF0AF01"
	this.Invalidate()
	print( "onmouseover_searchitem" )
	
end

function onmouseout_searchitem()

	this.style.cssText = "borderColor:0xE1D8D1"
	this.Invalidate()
	print( "onmouseout_searchitem" )

end

