function about_version_text()

	staticText = document.getElementById( "about_version" );
	local text = staticText.text;
	local versionText = shell.getModulebyName( "desktopcal.exe" ).moduleVersion;
	staticText.text = text .. "  " .. versionText;
	
end


function rotate_logo()
	
	local logoImage = document.getElementById( "SettingLogoImage" );
	document.animatemgr.Action( logoImage, "rotateAngle 1000 0 360" );
	
end

function open_wizzard_url()

	local dkmain = shell.getModulebyName( "desktopcal.exe" );
	local dkversionText = dkmain.moduleVersion;
	local windowsVersionText = dkmain.windowsVersion;
	local userIdText = dkmain.userId;
	local systemLanguageText = dkmain.systemLanguage;
	local id;
	
	local _menu = menu:new();
	
	
	if string.lower(systemLanguageText) == "chs" then
		id = "1201";
	else
		id = "1200";
	end
	
	url = string.format( "http://rd.desktopcal.com/?id=%s&uid=%s&os=%s&cver=%s&lang=%s&type=wizzard", id, userIdText, windowsVersionText, dkversionText, systemLanguageText );
	
	--window.openInternetExplorer( url );

end


function start_with_window_save()

	window.close();
	
	--local _menu = menu:new();
	--sysmenu.ProcessMenuCmd(1);
	local dkmain = shell.getModulebyName( "desktopcal.exe" );
		
	if not dkmain.isStartWithWindow then
		dkmain.SetStartWithWindow( true );
	end
	
	
	analyticLog.StartWithWindowSave();
	
end

function start_with_window_cancel()

	window.close();
	analyticLog.StartWithWindowCancel();
	
end

function open_website() 

	local dkmain = shell.getModulebyName( "desktopcal.exe" );
	local systemLanguageText = dkmain.systemLanguage;
	
	url = string.format( "https://service.xdiarys.com/api/jump/%s/1012", systemLanguageText );
	
	window.openInternetExplorer( url );

end