function onload_loading_wp()

	print( "onload_loading_wp" )
    document.parentWindow.CenterWindow()
    document.parentWindow.documentComplete = 'dkcalconfig:\wp_func.lua|documentComplete_loading_wplist'
	
end


function documentComplete_loading_wplist()

	print( "documentComplete_loading_wplist" )
	wpui.InitWPUI()
	wpui.RequestWPListUI( document.parentWindow, "dkcalconfig:\wp_func.lua|navigate_wp_page" )
	
end


function navigate_wp_page()

	print( "navigate_wp_page" )

	local oWPList = wpui.GetWPListUI( )
	
	local data = xdata:new()
	data.SetArray( 'wp_list', oWPList )

	if oWPList.GetCount() == 0 then
		document.parentWindow.navigate( 'dkcalconfig:\\frame.xml|WallPaperEmpty', data )
	else
		document.parentWindow.navigate( 'dkcalconfig:\\frame.xml|WallPaperListPage', data )
	end
	
end

function onload_wp()

	print( "onload_wp" )
	
	
	local oAdContent = document.getElementById( "wallpaper_ad_content" )
	oAdContent.SetuData( configservice.wallpaperSkinData )
		
	
	local oReferrdata = document.referrerData
	local oSelectItem = nil
	if oReferrdata ~= nil then
	
		print( "has refrererData" )
		oWPList = oReferrdata.GetArray( "wp_list" )
		
		local oWPListUI = document.getElementById( "wallpaperList" )
		local oItemData = xmlparse.GetRawDataFromFile( "dkcalconfig:\\frame.xml|WallPaperItem" )
		
		oWPListUI.onscrolltobottom = makedata.MakeEvent2( "dkcalconfig:wp_func.lua|oncallback_scrolltobottom", oWPListUI )
		
		
		 
		if oWPList ~= nil then
		
			local oCount = oWPList.GetCount()
			for i=0, oCount-1 do
				
				local oWPItem = oWPList.GetData( i )
				
				local oItemObj = makedata.CreatexElementFromxxData2( oItemData )
				
				local oListItemId = shell.getFrameElementById( oItemObj, "listItemId" )
				--local oListItemApplyCount = shell.getFrameElementById( oItemObj, "listItemApplyCount" )
				local oListItemText = shell.getFrameElementById( oItemObj, "listItemText" )
				local oListItemImage = shell.getFrameElementById( oItemObj, "listItemImage" )
				
				local oWPListPageBkgnd = shell.getFrameElementById( oItemObj, "WallPaperItem" )
				oWPListPageBkgnd.name = "item_name_" .. i
		
				oListItemId.text = oWPItem.GetStr( "idstr" )
				oListItemText.text = oWPItem.GetStr( "name" )
				--oListItemApplyCount.text = oWPItem.GetStr( "apply_count" )

				wpui.SetPreviewImage(oWPItem.GetLong( "id" ), oListItemImage)

				oWPListUI.AppendChild(oItemObj)

			end
			
			oWPListUI.LayoutParent()
			
		end
		
	end
	
	

	document.parentWindow.documentComplete = "dkcalconfig:\wp_func.lua|documentComplete_wp"
end


function oncallback_scrolltobottom()

	print( "oncallback_scrolltobottom" )

	wpui.RequestWPListMoreUI( document.parentWindow, "dkcalconfig:\wp_func.lua|onload_more_wp" )

end


function onload_more_wp()

	print( "onload_more_wp" )
	
	local oWPList = wpui.GetWPListUI( )
	local oNewList = wpui.GetWPListLatestUI( )
		
	local oWPListUI = document.getElementById( "wallpaperList" )
	local oItemData = xmlparse.GetRawDataFromFile( "dkcalconfig:\\frame.xml|WallPaperItem" )

	if oWPList ~= nil then
		
		local oCount = oWPList.GetCount()

		local newCount = oNewList.GetCount()

		for i=oCount-newCount, oCount-1 do
			local oWPItem = oWPList.GetData( i )
				
			local oItemObj = makedata.CreatexElementFromxxData2( oItemData )
				
			local oListItemId = shell.getFrameElementById( oItemObj, "listItemId" )
			--local oListItemApplyCount = shell.getFrameElementById( oItemObj, "listItemApplyCount" )
			local oListItemText = shell.getFrameElementById( oItemObj, "listItemText" )
			local oListItemImage = shell.getFrameElementById( oItemObj, "listItemImage" )
			
			local oWPListPageBkgnd = shell.getFrameElementById( oItemObj, "WallPaperItem" )
			oWPListPageBkgnd.name = "item_name_" .. i
	
			oListItemId.text = oWPItem.GetStr( "idstr" )
			oListItemText.text = oWPItem.GetStr( "name" )
			--oListItemApplyCount.text = oWPItem.GetStr( "apply_count" )

			wpui.SetPreviewImage(oWPItem.GetLong( "id" ), oListItemImage)

			oWPListUI.AppendChild(oItemObj)
		end
		
		print( "oWPListUI.LayoutSelf" )
		oWPListUI.LayoutParent()
	
	end
	
end

function documentComplete_wp()

	print( "documentComplete_wp" )

	local oWPList = document.getElementById( "wallpaperList" )
	oWPList.focus()
		
end

function layout_wp_list()

	print( "layout_wp_list" )

	local oWPList = document.getElementById( "wallpaperList" )
	oWPList.Invalidate()
	oWPList.LayoutParent()
	oWPList.focus()
		
end

function onclick_wp_list_item()
	
	print( "onclick_wp_list_item" )
	
	local oListItemText = shell.getFrameElementById( this, "WallPaperItem" )
	set_select_list_item( oListItemText.name )	

	local oWPList = document.getElementById( "wallpaperList" )
	oWPList.focus()
	
end


function onmouseover_wpitem()

	this.style.cssText = "borderColor:0xF0AF01"
	this.Invalidate()
	print( "onmouseover_wpitem" )
	
end

function onmouseout_wpitem()

	this.style.cssText = "borderColor:0xE1D8D1"
	this.Invalidate()
	print( "onmouseout_wpitem" )

end


function set_select_list_item( mSelectItemName )

	print( oOldSelectNameId )

	-- 
	local oSelectListItemArray = document.getElementsByName( mSelectItemName )
	if oSelectListItemArray ~= nil and oSelectListItemArray.GetCount() == 0 then
		return
	end
	local oItemObject = oSelectListItemArray.GetObjectByIndex( 0 )
	
	
	-- 
	local oOldItemObject = nil
	if oOldSelectNameId ~= nil then
		local oOldSelectListItemArray = document.getElementsByName( oOldSelectNameId )
		if oOldSelectListItemArray.GetCount() > 0 then
			oOldItemObject = oOldSelectListItemArray.GetObjectByIndex( 0 )
		end
	end

	
	local oWPContentListText = document.getElementById( "wpContentText" )
	local oWPContentListListId = document.getElementById( "wpContentId" )
	
	local oListItemId = shell.getFrameElementById( oItemObject, "listItemId" )
	local oListItemText = shell.getFrameElementById( oItemObject, "listItemText" )
	
	oWPContentListText.text = oListItemText.text
	oWPContentListListId.name = oListItemId.text
	
	print(oWPContentListListId.name)
	
	if oOldItemObject ~= nil then
		oOldItemObject.background = nil
	end
	
	
	local oBkgndSelect = brush:new()
	oBkgndSelect.clrbeginA = 0x00C4EAFF
	oItemObject.background = oBkgndSelect
	
		
	oOldSelectNameId = oItemObject.name
	
	local oSetBtn = document.getElementById( "SetWPBtn" )
	oSetBtn.disabled = false
	oSetBtn.Invalidate()
	
	
end

function onclick_set_wp()

	print( "onclick_default" )

	local oWPContentListText = document.getElementById( "wpContentText" )
	local oWPContentListListId = document.getElementById( "wpContentId" )

	print( oWPContentListListId.name )

	wpui.SetWallPaper(oWPContentListListId.name)
	--window.close()

end

function onclick_default()

	print( "onclick_default" )
	wpui.RestoreDefaultWP()

end


function onclick_close()

	print( "onclick_close" )

	oOldSelectNameId = nil
	window.close()

end